Skip to main content
Alerting & Response/Alert Routing & Policies

GetAlertWebhookSecurityDocs

Retrieve webhook security documentation including signing algorithm details

GET/api/v1/alerting/docs/webhook-security

Operation ID

GetAlertWebhookSecurityDocs

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • algorithm
    String

    HMAC algorithm used for signing

    Example: HMAC-SHA256

  • signatureFormat
    String

    Format of the signature header value

    Example: v1=<hex-digest>

  • headerTimestamp
    String

    HTTP header name for the timestamp

    Example: X-Webhook-Timestamp

  • headerSignature
    String

    HTTP header name for the signature

    Example: X-Webhook-Signature

  • payloadFormat
    String

    Format of the signed payload

    Example: timestamp.body

  • replayWindowSec
    Integer

    Replay window in seconds for signature validation

    Example: 300

  • examples
    LinkedHashMap

    Example entries for reference

    Example: (nested object)